Index: modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/dataProviders/entityRegistriesTable.component.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/dataProviders/entityRegistriesTable.component.ts	(revision 49173)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/dataProviders/entityRegistriesTable.component.ts	(revision 49174)
@@ -28,6 +28,8 @@
 
 })
 export class SearchEntityRegistriesTableComponent {
+  private errorCodes: ErrorCodes;
+
   public results =[];
   public filters =[];
   public baseUrl:string;
@@ -41,8 +43,8 @@
   @ViewChild (SearchPageTableViewComponent) searchPage : SearchPageTableViewComponent ;
 
   constructor (private route: ActivatedRoute, private _searchDataprovidersService: SearchDataprovidersService ) {
-    var errorCodes:ErrorCodes = new ErrorCodes();
-    this.searchUtils.status =errorCodes.LOADING;
+    this.errorCodes = new ErrorCodes();
+    this.searchUtils.status = this.errorCodes.LOADING;
   }
 
   public ngOnInit() {
@@ -65,8 +67,8 @@
       this.subResults.unsubscribe();
     }  }
     private _getResults(parameters:string,refine:boolean, page: number){
-      var errorCodes:ErrorCodes = new ErrorCodes();
-      this.searchUtils.status = errorCodes.LOADING;
+      //var errorCodes:ErrorCodes = new ErrorCodes();
+      this.searchUtils.status = this.errorCodes.LOADING;
       this.disableForms = true;
       this.results = [];
       this.searchUtils.totalResults = 0;
@@ -83,10 +85,10 @@
                         this.results = data[1];
                         this.searchPage.checkSelectedFilters(this.filters);
 
-                        var errorCodes:ErrorCodes = new ErrorCodes();
-                        this.searchUtils.status = errorCodes.DONE;
+                        //var errorCodes:ErrorCodes = new ErrorCodes();
+                        this.searchUtils.status = this.errorCodes.DONE;
                         if(this.searchUtils.totalResults == 0 ){
-                          this.searchUtils.status = errorCodes.NONE;
+                          this.searchUtils.status = this.errorCodes.NONE;
                         }
                         this.disableForms = false;
 
@@ -97,8 +99,16 @@
                         // if( ){
                         //   this.searchUtils.status = ErrorCodes.ERROR;
                         // }
-                        var errorCodes:ErrorCodes = new ErrorCodes();
-                        this.searchUtils.status = errorCodes.ERROR;
+                        //var errorCodes:ErrorCodes = new ErrorCodes();
+                        //this.searchUtils.status = errorCodes.ERROR;
+                        if(err.status == '404') {
+                          this.searchUtils.status = this.errorCodes.NOT_FOUND;
+                        } else if(err.status == '500') {
+                          this.searchUtils.status = this.errorCodes.ERROR;
+                        } else {
+                          this.searchUtils.status = this.errorCodes.NOT_AVAILABLE;
+                        }
+
                         this.disableForms = false;
 
                     }
@@ -106,8 +116,8 @@
               } else {
                 this.searchPage.checkSelectedFilters(this.filters);
 
-                var errorCodes:ErrorCodes = new ErrorCodes();
-                this.searchUtils.status = errorCodes.NONE;
+                //var errorCodes:ErrorCodes = new ErrorCodes();
+                this.searchUtils.status = this.errorCodes.NONE;
                 this.disableForms = false;
               }
           },
@@ -117,8 +127,15 @@
               // if( ){
               //   this.searchUtils.status = ErrorCodes.ERROR;
               // }
-              var errorCodes:ErrorCodes = new ErrorCodes();
-              this.searchUtils.status = errorCodes.ERROR;
+              //var errorCodes:ErrorCodes = new ErrorCodes();
+              //this.searchUtils.status = errorCodes.ERROR;
+              if(err.status == '404') {
+                this.searchUtils.status = this.errorCodes.NOT_FOUND;
+              } else if(err.status == '500') {
+                this.searchUtils.status = this.errorCodes.ERROR;
+              } else {
+                this.searchUtils.status = this.errorCodes.NOT_AVAILABLE;
+              }
           }
       );
 /*
Index: modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/simple/searchOrganizations.component.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/simple/searchOrganizations.component.ts	(revision 49173)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/simple/searchOrganizations.component.ts	(revision 49174)
@@ -20,6 +20,8 @@
                  [baseUrl] = "baseUrl" (queryChange)="queryChanged($event)"
                  [csvParams]="csvParams" csvPath="organizations" advancedSearchLink="/search/advanced/organizations"
                  [disableForms]="disableForms"
+                 [loadPaging]="loadPaging"
+                 [oldTotalResults]="oldTotalResults"
                  searchFormClass="organizationsSearchForm">
     </search-page>
 
@@ -27,6 +29,8 @@
 
 })
 export class SearchOrganizationsComponent {
+  private errorCodes: ErrorCodes;
+
   public results =[];
   public filters =[];
   public baseUrl:string;
@@ -40,13 +44,15 @@
   public _location:Location;
   public csvParams: string;
   public disableForms: boolean = false;
+  public loadPaging: boolean = true;
+  public oldTotalResults: number = 0;
 
   @ViewChild (SearchPageComponent) searchPage : SearchPageComponent ;
 
   constructor (private route: ActivatedRoute, private _searchOrganizationsService: SearchOrganizationsService ) {
 
-    var errorCodes:ErrorCodes = new ErrorCodes();
-    this.searchUtils.status =errorCodes.LOADING;
+    this.errorCodes = new ErrorCodes();
+    this.searchUtils.status = this.errorCodes.LOADING;
     this.searchUtils.page =1;
     this.baseUrl = OpenaireProperties.getLinkToSearchOrganizations();
 
@@ -57,6 +63,11 @@
     this.searchPage.fieldIdsMap = this.fieldIdsMap;
     var firstLoad = true;
     this.sub =  this.route.queryParams.subscribe(params => {
+      if(params['page'] && this.searchUtils.page != params['page']) {
+        this.loadPaging = false;
+        this.oldTotalResults = this.searchUtils.totalResults;
+      }
+
       this.searchUtils.keyword = (params['keyword']?params['keyword']:'');
       var refine = true;
       if(this.searchUtils.page != ((params['page']=== undefined)?1:+params['page']) && this.filters && !firstLoad){
@@ -94,8 +105,8 @@
       // if(!refine && !this.searchPage){
       //     this.searchPage = new SearchPageComponent(this._location);
       // }
-      var errorCodes:ErrorCodes = new ErrorCodes();
-      this.searchUtils.status = errorCodes.LOADING;
+      //var errorCodes:ErrorCodes = new ErrorCodes();
+      this.searchUtils.status = this.errorCodes.LOADING;
       //this.searchPage.openLoading();
       this.disableForms = true;
       this.results = [];
@@ -111,15 +122,15 @@
               }
               this.searchPage.checkSelectedFilters(this.filters);
               this.searchPage.updateBaseUrlWithParameters(this.filters);
-              var errorCodes:ErrorCodes = new ErrorCodes();
-              this.searchUtils.status = errorCodes.DONE;
+              //var errorCodes:ErrorCodes = new ErrorCodes();
+              this.searchUtils.status = this.errorCodes.DONE;
               if(this.searchUtils.totalResults == 0 ){
-                this.searchUtils.status = errorCodes.NONE;
+                this.searchUtils.status = this.errorCodes.NONE;
               }
               //this.searchPage.closeLoading();
               this.disableForms = false;
 
-              if(this.searchUtils.status == errorCodes.DONE) {
+              if(this.searchUtils.status == this.errorCodes.DONE) {
                 // Page out of limit!!!
                 let totalPages:any = this.searchUtils.totalResults/(this.searchUtils.size);
                 if(!(Number.isInteger(totalPages))) {
@@ -127,7 +138,7 @@
                 }
                 if(totalPages < page) {
                   this.searchUtils.totalResults = 0;
-                  this.searchUtils.status = errorCodes.OUT_OF_BOUND;
+                  this.searchUtils.status = this.errorCodes.OUT_OF_BOUND;
                 }
               }
           },
@@ -137,8 +148,16 @@
               // if( ){
               //   this.searchUtils.status = ErrorCodes.ERROR;
               // }
-              var errorCodes:ErrorCodes = new ErrorCodes();
-              this.searchUtils.status = errorCodes.ERROR;
+              //var errorCodes:ErrorCodes = new ErrorCodes();
+              //this.searchUtils.status = errorCodes.ERROR;
+              if(err.status == '404') {
+                this.searchUtils.status = this.errorCodes.NOT_FOUND;
+              } else if(err.status == '500') {
+                this.searchUtils.status = this.errorCodes.ERROR;
+              } else {
+                this.searchUtils.status = this.errorCodes.NOT_AVAILABLE;
+              }
+
               //this.searchPage.closeLoading();
               this.disableForms = false;
           }
@@ -147,6 +166,8 @@
 
 
   public queryChanged($event) {
+    this.loadPaging = true;
+    
     var parameters = $event.value;
     console.info("queryChanged: Execute search query "+parameters);
     this._getResults(parameters, true, this.searchUtils.page, this.searchUtils.size);
Index: modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/simple/searchProjects.component.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/simple/searchProjects.component.ts	(revision 49173)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/simple/searchProjects.component.ts	(revision 49174)
@@ -20,6 +20,8 @@
                  [baseUrl] = "baseUrl" (queryChange)="queryChanged($event)"
                  [csvParams]="csvParams" csvPath="projects" advancedSearchLink="/search/advanced/projects"
                  [disableForms]="disableForms"
+                 [loadPaging]="loadPaging"
+                 [oldTotalResults]="oldTotalResults"
                  searchFormClass="projectsSearchForm">
     </search-page>
      `
@@ -26,6 +28,8 @@
 
 })
 export class SearchProjectsComponent {
+  private errorCodes: ErrorCodes;
+
   public results =[];
   public filters: Filter[] =[];
   public baseUrl:string;
@@ -39,6 +43,8 @@
   public _location:Location;
   public csvParams: string;
   public disableForms: boolean = false;
+  public loadPaging: boolean = true;
+  public oldTotalResults: number = 0;
 
   @ViewChild (SearchPageComponent) searchPage : SearchPageComponent ;
 
@@ -45,8 +51,8 @@
   constructor (private route: ActivatedRoute, private _searchProjectsService: SearchProjectsService) {
     console.info(" constructor SearchProjectsComponent "+this.refineFields.length);
 
-    var errorCodes:ErrorCodes = new ErrorCodes();
-    this.searchUtils.status =errorCodes.LOADING;
+    this.errorCodes = new ErrorCodes();
+    this.searchUtils.status = this.errorCodes.LOADING;
     this.searchUtils.page =1;
     this.baseUrl = OpenaireProperties.getLinkToSearchProjects();
 
@@ -59,19 +65,23 @@
     //get refine field filters  from url parameters
     var firstLoad = true;
     this.sub =  this.route.queryParams.subscribe(params => {
+      if(params['page'] && this.searchUtils.page != params['page']) {
+        this.loadPaging = false;
+        this.oldTotalResults = this.searchUtils.totalResults;
+      }
 
-        //get keyword from url parameters
-        this.searchUtils.keyword = (params['keyword']?params['keyword']:'');
-        var refine = true;
-        if(this.searchUtils.page != ((params['page']=== undefined)?1:+params['page']) && this.filters && !firstLoad){
-          refine = false;
+      //get keyword from url parameters
+      this.searchUtils.keyword = (params['keyword']?params['keyword']:'');
+      var refine = true;
+      if(this.searchUtils.page != ((params['page']=== undefined)?1:+params['page']) && this.filters && !firstLoad){
+        refine = false;
 
-        }
-        firstLoad = false;
-        //get page from url parameters
-        this.searchUtils.page = (params['page']=== undefined)?1:+params['page'];
-       var queryParameters = this.searchPage.getQueryParametersFromUrl(params);
-        this._getResults(queryParameters, refine, this.searchUtils.page, this.searchUtils.size);
+      }
+      firstLoad = false;
+      //get page from url parameters
+      this.searchUtils.page = (params['page']=== undefined)?1:+params['page'];
+      var queryParameters = this.searchPage.getQueryParametersFromUrl(params);
+      this._getResults(queryParameters, refine, this.searchUtils.page, this.searchUtils.size);
     });
   }
 
@@ -98,8 +108,8 @@
     //     this.searchPage = new SearchPageComponent(this._location);
     // }
 
-    var errorCodes:ErrorCodes = new ErrorCodes();
-    this.searchUtils.status = errorCodes.LOADING;
+    //var errorCodes:ErrorCodes = new ErrorCodes();
+    this.searchUtils.status = this.errorCodes.LOADING;
     //this.searchPage.openLoading();
     this.disableForms = true;
     this.results = [];
@@ -116,15 +126,15 @@
             this.searchPage.checkSelectedFilters(this.filters);
             // this.filters = this.searchPage.checkSelectedFilters(data[2]);
             this.searchPage.updateBaseUrlWithParameters(this.filters);
-            var errorCodes:ErrorCodes = new ErrorCodes();
-            this.searchUtils.status = errorCodes.DONE;
+            //var errorCodes:ErrorCodes = new ErrorCodes();
+            this.searchUtils.status = this.errorCodes.DONE;
             if(this.searchUtils.totalResults == 0 ){
-              this.searchUtils.status = errorCodes.NONE;
+              this.searchUtils.status = this.errorCodes.NONE;
             }
             //this.searchPage.closeLoading();
             this.disableForms = false;
 
-            if(this.searchUtils.status == errorCodes.DONE) {
+            if(this.searchUtils.status == this.errorCodes.DONE) {
               // Page out of limit!!!
               let totalPages:any = this.searchUtils.totalResults/(this.searchUtils.size);
               if(!(Number.isInteger(totalPages))) {
@@ -132,7 +142,7 @@
               }
               if(totalPages < page) {
                 this.searchUtils.totalResults = 0;
-                this.searchUtils.status = errorCodes.OUT_OF_BOUND;
+                this.searchUtils.status = this.errorCodes.OUT_OF_BOUND;
               }
             }
         },
@@ -142,8 +152,16 @@
             // if( ){
             //   this.searchUtils.status = ErrorCodes.ERROR;
             // }
-            var errorCodes:ErrorCodes = new ErrorCodes();
-            this.searchUtils.status = errorCodes.ERROR;
+            //var errorCodes:ErrorCodes = new ErrorCodes();
+            //this.searchUtils.status = errorCodes.ERROR;
+            if(err.status == '404') {
+              this.searchUtils.status = this.errorCodes.NOT_FOUND;
+            } else if(err.status == '500') {
+              this.searchUtils.status = this.errorCodes.ERROR;
+            } else {
+              this.searchUtils.status = this.errorCodes.NOT_AVAILABLE;
+            }
+
             //this.searchPage.closeLoading();
             this.disableForms = false;
         }
@@ -158,10 +176,10 @@
             console.info("search Projects for Dataproviders: [Id:"+id+" ]  [total results:"+this.searchUtils.totalResults+"]");
             this.results = data[1];
 
-            var errorCodes:ErrorCodes = new ErrorCodes();
-            this.searchUtils.status = errorCodes.DONE;
+            //var errorCodes:ErrorCodes = new ErrorCodes();
+            this.searchUtils.status = this.errorCodes.DONE;
             if(this.searchUtils.totalResults == 0 ){
-              this.searchUtils.status = errorCodes.NONE;
+              this.searchUtils.status = this.errorCodes.NONE;
             }
         },
         err => {
@@ -170,8 +188,15 @@
             // if( ){
             //   this.searchUtils.status = ErrorCodes.ERROR;
             // }
-            var errorCodes:ErrorCodes = new ErrorCodes();
-            this.searchUtils.status = errorCodes.ERROR;
+            //var errorCodes:ErrorCodes = new ErrorCodes();
+            //this.searchUtils.status = errorCodes.ERROR;
+            if(err.status == '404') {
+              this.searchUtils.status = this.errorCodes.NOT_FOUND;
+            } else if(err.status == '500') {
+              this.searchUtils.status = this.errorCodes.ERROR;
+            } else {
+              this.searchUtils.status = this.errorCodes.NOT_AVAILABLE;
+            }
         }
     );
   }
@@ -178,6 +203,8 @@
 
 
   public queryChanged($event) {
+    this.loadPaging = true;
+    
     this.urlParams = undefined;
     var parameters = $event.value;
     this._getResults(parameters, true, this.searchUtils.page, this.searchUtils.size);
Index: modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/dataProvider/datasetsTab.component.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/dataProvider/datasetsTab.component.ts	(revision 49173)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/dataProvider/datasetsTab.component.ts	(revision 49174)
@@ -6,9 +6,12 @@
 @Component({
     selector: 'datasetsTab',
     template: `
-        <div *ngIf="fetchDatasets.searchUtils.status == errorCodes.NONE" class="uk-alert uk-alert-primary uk-animation-fade" role="alert">No research data available</div>        <div *ngIf="fetchDatasets.searchUtils.status == errorCodes.ERROR" class="uk-alert uk-alert-warning uk-animation-fade" role="alert">An Error Occured</div>
-        <div *ngIf="fetchDatasets.searchUtils.status == errorCodes.NOT_AVAILABLE" class="uk-alert uk-alert-danger uk-animation-fade" role="alert">Service not available</div>
-        <div *ngIf="fetchDatasets.searchUtils.status == errorCodes.LOADING" class="uk-animation-fade uk-margin-top  uk-width-1-1" role="alert"><img src="./assets/loading.gif" class="uk-align-center" alt="Loading"></div>
+        <!--div *ngIf="fetchDatasets.searchUtils.status == errorCodes.LOADING" class="uk-animation-fade uk-margin-top  uk-width-1-1" role="alert"><img src="./assets/loading.gif" class="uk-align-center" alt="Loading"></div>
+        <div *ngIf="fetchDatasets.searchUtils.status == errorCodes.NONE" class="uk-alert uk-alert-primary uk-animation-fade" role="alert">No research data available</div>
+        <div *ngIf="fetchDatasets.searchUtils.status == errorCodes.ERROR" class="uk-alert uk-alert-warning uk-animation-fade" role="alert">An Error Occured</div>
+        <div *ngIf="fetchDatasets.searchUtils.status == errorCodes.NOT_AVAILABLE" class="uk-alert uk-alert-danger uk-animation-fade" role="alert">Service temprorarily unavailable. Please try again later.</div>
+        <div *ngIf="fetchDatasets.searchUtils.status == errorCodes.NOT_FOUND" class="uk-alert uk-alert-danger uk-animation-fade" role="alert">No research data found</div-->
+        <errorMessages [status]="[fetchDatasets.searchUtils.status]" [type]="'research data'"></errorMessages>
 
         <!--div *ngIf="fetchDatasets.searchUtils.totalResults == 0" class = "uk-alert">
             No research data available
Index: modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/dataProvider/statisticsTab.component.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/dataProvider/statisticsTab.component.ts	(revision 49173)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/dataProvider/statisticsTab.component.ts	(revision 49174)
@@ -7,7 +7,7 @@
     selector: 'statisticsTab',
     template: `
     <div *ngIf="show">
-      <div *ngIf="searchPublicationsComponent.searchUtils.status == errorCodes.NONE && DatasetsComponent.searchUtils.status == errorCodes.NONE"
+      <!--div *ngIf="searchPublicationsComponent.searchUtils.status == errorCodes.NONE && DatasetsComponent.searchUtils.status == errorCodes.NONE"
             class="uk-alert uk-alert-primary uk-animation-fade" role="alert">No statistics available</div>
       <div *ngIf="searchPublicationsComponent.searchUtils.status == errorCodes.ERROR || DatasetsComponent.searchUtils.status == errorCodes.ERROR"
             class="uk-alert uk-alert-warning uk-animation-fade" role="alert">An Error Occured</div>
@@ -14,7 +14,8 @@
       <div *ngIf="searchPublicationsComponent.searchUtils.status == errorCodes.NOT_AVAILABLE || DatasetsComponent.searchUtils.status == errorCodes.NOT_AVAILABLE"
             class="uk-alert uk-alert-danger uk-animation-fade" role="alert">Service not available</div>
       <div *ngIf="searchPublicationsComponent.searchUtils.status == errorCodes.LOADING || DatasetsComponent.searchUtils.status == errorCodes.LOADING"
-            class="uk-animation-fade  uk-width-1-1" role="alert"><img src="./assets/loading.gif" class="uk-align-center" alt="Loading"></div>
+            class="uk-animation-fade  uk-width-1-1" role="alert"><img src="./assets/loading.gif" class="uk-align-center" alt="Loading"></div-->
+      <errorMessages [status]="[searchPublicationsComponent.searchUtils.status, DatasetsComponent.searchUtils.status]" [type]="'statistics'"></errorMessages>
 
       <!--div *ngIf="searchPublicationsComponent.searchUtils.totalResults == 0 && searchDatasetsComponent.searchUtils.totalResults == 0" class = "uk-alert">
           No statistics available
Index: modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/dataProvider/publicationsTab.component.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/dataProvider/publicationsTab.component.ts	(revision 49173)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/dataProvider/publicationsTab.component.ts	(revision 49174)
@@ -10,7 +10,8 @@
         <div *ngIf="fetchPublications.searchUtils.status == errorCodes.ERROR" class="uk-alert uk-alert-warning uk-animation-fade" role="alert">An Error Occured</div>
         <div *ngIf="fetchPublications.searchUtils.status == errorCodes.NOT_AVAILABLE" class="uk-alert uk-alert-danger uk-animation-fade" role="alert">Service not available</div>
         <div *ngIf="fetchPublications.searchUtils.status == errorCodes.LOADING" class="uk-animation-fade uk-width-1-1" role="alert"><img src="./assets/loading.gif" class="uk-align-center" alt="Loading"></div>
-
+        <!--errorMessages [status]="[fetchPublications.searchUtils.status]" [type]="'publications'"></errorMessages>
+{{fetchPublications.searchUtils.status}}-->
         <!--div *ngIf="fetchPublications.searchUtils.totalResults == 0" class = "uk-alert">
             No publications available
         </div-->
Index: modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/dataProvider/relatedDatasourcesTab.component.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/dataProvider/relatedDatasourcesTab.component.ts	(revision 49173)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/dataProvider/relatedDatasourcesTab.component.ts	(revision 49174)
@@ -10,7 +10,7 @@
 @Component({
     selector: 'relatedDatasourcesTab',
     template: `
-        <div *ngIf="fetchPublications.searchUtils.status == errorCodes.NONE && fetchDatasets.searchUtils.status == errorCodes.NONE"
+        <!--div *ngIf="fetchPublications.searchUtils.status == errorCodes.NONE && fetchDatasets.searchUtils.status == errorCodes.NONE"
               class="uk-alert uk-alert-primary uk-animation-fade" role="alert">
               No related content providers available
         </div>
@@ -17,15 +17,17 @@
         <div *ngIf="fetchPublications.searchUtils.status == errorCodes.ERROR && fetchDatasets.searchUtils.status == errorCodes.ERROR"
               class="uk-alert uk-alert-warning uk-animation-fade" role="alert">
           An Error Occured
-        </div>
+        </div-->
         <!--div *ngIf="fetchPublications.searchUtils.status == errorCodes.NOT_AVAILABLE && fetchDatasets.searchUtils.status == errorCodes.NOT_AVAILABLE"
               class="uk-alert uk-alert-danger uk-animation-fade" role="alert">
           Service not available
         </div-->
-        <div *ngIf="fetchPublications.searchUtils.status == errorCodes.LOADING || fetchDatasets.searchUtils.status == errorCodes.LOADING || loading"
+        <!--div *ngIf="fetchPublications.searchUtils.status == errorCodes.LOADING || fetchDatasets.searchUtils.status == errorCodes.LOADING || loading"
               class="uk-animation-fade uk-width-1-1" role="alert"><img src="./assets/loading.gif" class="uk-align-center" alt="Loading">
-        </div>
+        </div-->
 
+        <errorMessages [status]="[fetchPublications.searchUtils.status, fetchDatasets.searchUtils.status]" [type]="'related content providers'"></errorMessages>
+
         <div *ngIf="(fetchPublications.searchUtils.status == errorCodes.DONE || fetchDatasets.searchUtils.status == errorCodes.DONE) && !loading">
             <div *ngIf="results && results.size > pageSize" class="uk-margin">
               <span class="uk-text-bold">{{results.size}} related content providers, page {{page}} of {{totalPages(results.size)}}</span>
Index: modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/organization/organization.component.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/organization/organization.component.ts	(revision 49173)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/organization/organization.component.ts	(revision 49174)
@@ -14,7 +14,7 @@
 import {SearchProjectsService} from '../../services/searchProjects.service';
 import { Meta} from '../../../angular2-meta';
 import {OpenaireProperties, ErrorCodes} from '../../utils/properties/openaireProperties';
-import {SearchingProjectsTabComponent} from '../searchingProjectsInTab.component';
+import {SearchingProjectsTabComponent} from '../landing-utils/searchingProjectsInTab.component';
 import {RouterHelper} from '../../utils/routerHelper.class';
 
 import {ModalLoading} from '../../utils/modal/loading.component';
@@ -296,7 +296,7 @@
                   this.downloadFilePiwikSub = this._piwikService.trackDownload(url).subscribe();
                 }
            },
-           error => {
+           err => {
              console.log("Error downloading the file.");
              this.closeLoading();
              this.confirmOpenCsvError();
@@ -369,7 +369,7 @@
                                                       // }
                                                   }
                                               },
-                                          error => {
+                                          err => {
                                             console.log("Error downloading the file.");
                                             this.closeLoading();
                                             this.confirmOpenCsvError();
@@ -378,11 +378,11 @@
                                       );
                                   }
                               },
-                          error => console.log("Error getting number of publications for project."));
+                          err => console.log("Error getting number of publications for project."));
                   }//);
 
                },
-           error => {
+           err => {
             console.log("Error getting projects project.");
             this.closeLoading();
             this.confirmOpenCsvError();
Index: modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/dataset/dataset.module.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/dataset/dataset.module.ts	(revision 49173)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/dataset/dataset.module.ts	(revision 49174)
@@ -8,13 +8,13 @@
 import { DatasetService} from './dataset.service';
 import { DatasetComponent } from './dataset.component';
 import { DatasetRoutingModule } from './dataset-routing.module';
-import {MetricsModule} from '../metrics.module';
+import {MetricsModule} from '../landing-utils/metrics.module';
 import {IFrameModule} from '../../utils/iframe.module';
 import {AltMetricsModule} from '../../utils/altmetrics.module';
 import {CiteThisModule} from '../landing-utils/citeThis/citeThis.module';
 
-import { ResultLandingModule } from '../resultLanding.module';
-import { LandingModule } from '../landing.module';
+import { ResultLandingModule } from '../landing-utils/resultLanding.module';
+import { LandingModule } from '../landing-utils/landing.module';
 import {FreeGuard} from'../../login/freeGuard.guard';
 
 @NgModule({
Index: modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/publication/publication.module.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/publication/publication.module.ts	(revision 49173)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/publication/publication.module.ts	(revision 49174)
@@ -8,14 +8,14 @@
 import { PublicationService} from './publication.service';
 import { PublicationComponent } from './publication.component';
 import { PublicationRoutingModule } from './publication-routing.module';
-import {MetricsModule} from '../metrics.module';
+import {MetricsModule} from '../landing-utils/metrics.module';
 import {IFrameModule} from '../../utils/iframe.module';
 import {AltMetricsModule} from '../../utils/altmetrics.module';
 import {CiteThisModule} from '../landing-utils/citeThis/citeThis.module';
 import {PagingModule} from '../../utils/paging.module';
 
-import { ResultLandingModule } from '../resultLanding.module';
-import { LandingModule } from '../landing.module';
+import { ResultLandingModule } from '../landing-utils/resultLanding.module';
+import { LandingModule } from '../landing-utils/landing.module';
 import {FreeGuard} from'../../login/freeGuard.guard';
 
 @NgModule({
